linux-lts-quantal: 3.5.0-54.81~precise1 -proposed tracker

Bug #1338611 reported by Luis Henriques on 2014-07-07
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux-lts-quantal (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

This bug is for tracking the 3.5.0-54.80~precise1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 07. July 2014 14:58 UTC
kernel-stable-Prepare-package-end:Monday, 07. July 2014 18:11 UTC
kernel-stable-Promote-to-proposed-start:Monday, 07. July 2014 18:11 UTC
ppa-package-testing-start:Monday, 07. July 2014 18:11 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 10. July 2014 08:11 UTC
kernel-stable-Verification-testing-start:Thursday, 10. July 2014 09:48 UTC
kernel-stable-Certification-testing-start:Thursday, 10. July 2014 09:48 UTC
kernel-stable-Security-signoff-start:Thursday, 10. July 2014 09:48 UTC
kernel-stable-Regression-testing-start:Thursday, 10. July 2014 09:48 UTC
kernel-stable-Regression-testing-end:Sunday, 13. July 2014 12:01 UTC
kernel-stable-Verification-testing-end:Monday, 14. July 2014 13:03 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 16. July 2014 20:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 16. July 2014 21:03 UTC

Luis Henriques (henrix) on 2014-07-07
tags: added: kernel-release-tracking-bug
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-quantal (Ubuntu Precise):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-lts-quantal (Ubuntu Precise):
status: New → Confirmed
Changed in linux-lts-quantal (Ubuntu):
status: New → Confirmed
Chris J Arges (arges) wrote :

Promoted linux-lts-quantal into proposed.

Brad Figg (brad-figg) on 2014-07-10
description: updated
Brad Figg (brad-figg) on 2014-07-10
description: updated
Adam Conrad (adconrad) on 2014-07-11
Changed in linux-lts-quantal (Ubuntu):
status: Confirmed → Invalid
Para Siva (psivaa) on 2014-07-13
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2014-07-13
description: updated
Brad Figg (brad-figg) on 2014-07-14
description: updated
Luis Henriques (henrix) on 2014-07-16
summary: - linux-lts-quantal: 3.5.0-54.80~precise1 -proposed tracker
+ linux-lts-quantal: 3.5.0-54.81~precise1 -proposed tracker
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-quantal - 3.5.0-54.81~precise1

---------------
linux-lts-quantal (3.5.0-54.81~precise1) precise; urgency=low

  [ Upstream Kernel Changes ]

  * l2tp: Privilege escalation in ppp over l2tp sockets
    - LP: #1341472
    - CVE-2014-4943

linux-lts-quantal (3.5.0-54.80~precise1) precise; urgency=low

  [ Luis Henriques ]

  * Merged back Ubuntu-lts-3.5.0-52.79 security release
  * Revert "x86_64,ptrace: Enforce RIP <= TASK_SIZE_MAX (CVE-2014-4699)"
    - LP: #1337339
  * Release Tracking Bug
    - LP: #1338611

  [ Upstream Kernel Changes ]

  * ptrace,x86: force IRET path after a ptrace_stop()
    - LP: #1337339
    - CVE-2014-4699

linux-lts-quantal (3.5.0-53.79~precise1) precise; urgency=low

  [ Joseph Salisbury ]

  * Release Tracking Bug
    - LP: #1336400

  [ Upstream Kernel Changes ]

  * skbuff: export skb_copy_ubufs
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: add an api to orphan frags
    - LP: #1298119
    - CVE-2014-0131
  * skbuff: skb_segment: orphan frags before copying
    - LP: #1298119
    - CVE-2014-0131
  * media-device: fix infoleak in ioctl media_enum_entities()
    - LP: #1333609
    - CVE-2014-1739
  * auditsc: audit_krule mask accesses need bounds checking
    - LP: #1325941
    - CVE-2014-3917
  * userns: Allow chown and setgid preservation
    - LP: #1329103
    - CVE-2014-4014
  * fs,userns: Change inode_capable to capable_wrt_inode_uidgid
    - LP: #1329103
    - CVE-2014-4014
  * target/rd: Refactor rd_build_device_space + rd_release_device_space
    - LP: #1333612
    - CVE-2014-4027
  * lib/lzo: Rename lzo1x_decompress.c to lzo1x_decompress_safe.c
    - CVE-2014-4608
  * lib/lzo: Update LZO compression to current upstream version
    - CVE-2014-4608
  * lzo: properly check for overruns
    - CVE-2014-4608
 -- Luis Henriques <email address hidden> Mon, 14 Jul 2014 15:28:36 +0100

Changed in linux-lts-quantal (Ubuntu Precise):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2014-07-16
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
John Johansen (jjohansen) wrote :

USN already published

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers